| Home | Libraries | People | FAQ | More

##### copy

###### Description

A metafunction returning the result type of applying `copy`, which is always `void`.

###### Synopsis

    template <typename Seq1, typename Seq2>
    struct copy
    {
        typedef void type;
    };

Table 1.38. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq1` | A model of Forward Sequence | Operation's argument
`Seq2` | A model of Forward Sequence | Operation's argument

###### Expression Semantics

    result_of::copy<Seq1, Seq2>::type

Return type: `void` iff both of `Seq1` and `Seq2` are sequence. Otherwise, none.

Semantics: Returns the return type of `copy` for 2 sequences of types `Seq1` and `Seq2`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/auxiliary/copy.hpp>
    #include <boost/fusion/include/copy.hpp>